### Function

# FwupdPlugin coswid_entity_role_to_string

since: 1.0

#### Declaration [src]

    const gchar*
    fu_coswid_entity_role_to_string (
      FuCoswidEntityRole val
    )

#### Description

No description available.

Available since: 1.0

#### Parameters

`val`

  Type: `FuCoswidEntityRole`

  No description available.

#### Return value

Type: `const gchar*`

No description available.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.